GNU bug report logs - #47630
Improve guix manual installation docs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: wishlist; Reported by: bo0od <bo0od@HIDDEN>; dated Wed, 7 Apr 2021 04:56:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from zimoun <zimon.toutoune@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47630 <at> debbugs.gnu.org:


Received: (at 47630) by debbugs.gnu.org; 14 Sep 2021 15:41:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 11:41:56 2021
Received: from localhost ([127.0.0.1]:49968 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQAZH-0002zA-OX
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 11:41:55 -0400
Received: from mail-qv1-f46.google.com ([209.85.219.46]:43657)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mQAZF-0002ys-9t
 for 47630 <at> debbugs.gnu.org; Tue, 14 Sep 2021 11:41:53 -0400
Received: by mail-qv1-f46.google.com with SMTP id cf2so8152041qvb.10
 for <47630 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 08:41:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=6xFbRpYlXNc9WUAr9pdKu3wsAyawf1GPVL7RbCLoCnI=;
 b=jeP0Qc+uKLQ8zBRyr+3StH7OOZ82dTbkVglD4lqGKDbr3x22IrLW4OK6PiTgBSUDmF
 pO4YIngkdIBqWuZW5EtUH/1VXn6TtsAWuFlUw9c53lsMr0CplQq0Z8C/wCV4EGBREZww
 2BE3elcvP5FpN3yKV8UM+mwVREKwAia7Afk+12Shc6FpVGFwjrMzjydklyevgMRdE09Z
 7FL97SKBfy02VVY9VqDojkYpeMZkoMYY5CPqEKGoQ8KOR4bXe4hgvnsr+TWe1vwyHE5C
 oZ+BbUdPZcmJmnF5a0q4MbJWHnK7syyOCTCGTu4/ArB0QljD8oh1xLcnllfdVYLhZSbt
 ZSlQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=6xFbRpYlXNc9WUAr9pdKu3wsAyawf1GPVL7RbCLoCnI=;
 b=wzcLM42jfBJij8i6UdZ+N9zkEFrfhU0ivoC7MJa2w/EQ+87qMVStCwNbgDoy7XyR3Y
 LMp8+kVtq1yVBk6cFMuyQSf1idspg5I5ut/CHPHS3vaEuSsHMnpKYoQm64qRVT6xYxa8
 APvk2F0LqYNJ/iCLLzY+eq8jJS2ZZ6kE419CCa0EQt5xDfQcb6SIWOc2mMDL/33Mz4DZ
 KzHGcHPpzN9ZIMdV/RDtPJnbensOwDvOZ/aAdtBO9lEKAAiVI0qHXtHtTlIdpqAFd2Bx
 Afn5ghEz3fisyDMajWrWN1Fh2VyuW8NWZyEwyXV8PNhuBzAuylde3y7xd9gwT53ZyqTy
 Gxog==
X-Gm-Message-State: AOAM5309I1q6tRa9wI9kgG/TYJGs7/o2P8qY+qpcYknJx0YmF3TyCfU6
 D/iZWsZOUE14UdJ5Z4Lr9swNB05HNjXi0QY/dCk=
X-Google-Smtp-Source: ABdhPJwFcdHORNpRhAzNyNAEjimfuOpGSxGaFQ/ihC/MhUnwH1bPi4kJFfqk8oGoPErPsJHMjFtDhzFvfJbjtfXDjfc=
X-Received: by 2002:a05:6214:2e7:: with SMTP id
 h7mr6093940qvu.39.1631634107681; 
 Tue, 14 Sep 2021 08:41:47 -0700 (PDT)
MIME-Version: 1.0
References: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
 <87y2aoll1r.fsf@HIDDEN> <defe8615-0ea0-2b09-a1b3-d11593d4f315@HIDDEN>
 <865yw3n4lv.fsf@HIDDEN> <865yv3v413.fsf@HIDDEN>
 <a45e9a7e-6079-8692-0cc3-6f4cc8f2e521@HIDDEN>
In-Reply-To: <a45e9a7e-6079-8692-0cc3-6f4cc8f2e521@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Tue, 14 Sep 2021 17:41:36 +0200
Message-ID: <CAJ3okZ1qfYeGu+XkkfcSyuOL6M0zy7DT9ZvoPD3cPOn3mOXDrQ@HIDDEN>
Subject: Re: bug#47630: Improve guix manual installation docs
To: bo0od <bo0od@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47630
Cc: 47630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 14 Sept 2021 at 16:51, bo0od <bo0od@HIDDEN> wrote:

> Fix the documentation as steps works for the end user as if he follow it
> 1 by 1 copy/paste (similar to nix docs as example), Otherwise current
> steps in the docs just junk to the end user. (you dont expect users to
> know and finish steps themselves)

I proposed you to write down these steps as a starting point for
improving the manual to turn it into a patch (for the Manual or the
Cookbook); this is actionable.  Otherwise say =C2=AB improve this part of
the manual =C2=BB is not constructive; this is not actionable.  I (and
probably others) do not see what could be improved in this area so it
appears to me hard to improve something that I do not know what. :-)

Last, the manual says:

        This option requires familiarity with GNU/Linux, with the shell,
        and with common administration tools. If you think this is not
        for you, consider using the guided graphical installer.

<https://guix.gnu.org/manual/en/html_node/Manual-Installation.html>

Therefore, it appears to me expected that this section provides only
command hints and not one by one step to complete all the process.
Other said, I expect that user who does not know how to fully complete
will run the Graphical Installer.  Does Nix have a Graphical
Installer?


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.

Message received at 47630 <at> debbugs.gnu.org:


Received: (at 47630) by debbugs.gnu.org; 14 Sep 2021 14:51:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 10:51:38 2021
Received: from localhost ([127.0.0.1]:49868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ9mb-0007wK-OL
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 10:51:37 -0400
Received: from mx1.riseup.net ([198.252.153.129]:47344)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1mQ9mZ-0007w4-Tp
 for 47630 <at> debbugs.gnu.org; Tue, 14 Sep 2021 10:51:36 -0400
Received: from fews2.riseup.net (fews2-pn.riseup.net [10.0.1.84])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4H85ry0KSkzF5b9;
 Tue, 14 Sep 2021 07:51:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1631631090; bh=N1iwWQkjAPtqpiLpWAj635JWE0EJsSH5vtC6xJ1yUEU=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=PE3AZRuiwQ/ZfFX6wCn2yXkaPUUVhqncZTqbt18OvSUOY8jKxj5sXNDMF1hu0mUti
 wOiCAZd4YG5kzysQOfqtMpNojk7vQonw5ZipdWyxiZumC0Fu9oYjPQG+4Bn12kIMOI
 KObtt+oih2RVv5SDkV8oZSX6+3RK3Jj/EN0TpP2g=
X-Riseup-User-ID: 849510D85BEAC2122C3E828A8C5BFA1E098CB7454802F71216A7643FC58631E1
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews2.riseup.net (Postfix) with ESMTPSA id 4H85rw4GHHz21nK;
 Tue, 14 Sep 2021 07:51:28 -0700 (PDT)
Subject: Re: bug#47630: Improve guix manual installation docs
To: zimoun <zimon.toutoune@HIDDEN>
References: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
 <87y2aoll1r.fsf@HIDDEN> <defe8615-0ea0-2b09-a1b3-d11593d4f315@HIDDEN>
 <865yw3n4lv.fsf@HIDDEN> <865yv3v413.fsf@HIDDEN>
From: bo0od <bo0od@HIDDEN>
Message-ID: <a45e9a7e-6079-8692-0cc3-6f4cc8f2e521@HIDDEN>
Date: Tue, 14 Sep 2021 14:50:21 +0000
MIME-Version: 1.0
In-Reply-To: <865yv3v413.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47630
Cc: 47630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Fix the documentation as steps works for the end user as if he follow it 
1 by 1 copy/paste (similar to nix docs as example), Otherwise current 
steps in the docs just junk to the end user. (you dont expect users to 
know and finish steps themselves)

zimoun:
> Hi,
> 
> On Tue, 17 Aug 2021 at 23:28, zimoun <zimon.toutoune@HIDDEN> wrote:
>> On Thu, 15 Jul 2021 at 12:56, bo0od <bo0od@HIDDEN> wrote:
>>>> Could you propose a concrete wording solving
>>>> the issues you see
>>>
>>> Not really because english is not my mother tongue so there going to be errors
>>> in grammars, choosing of words..etc so better to be written by someone who has
>>> better english than me.
>>>
>>> But for the commands to go on step by step i can give that with little text
>>> and any webadmin can pick it up and arrange it accordingly.
>>>
>>> If guix documentation built on wikimedia it would be much easier because i can
>>> register and upload my changes and can be reviewed and updated, But using
>>> email for this is not the best way to achieve it but what to do..
>>
>> Maybe you could provide what you find missing and where in the manual,
>> with little text.  It should be a good start for pointing what and how
>> to improve.
> 
> I plan to close this report if there is no concrete patch attached.
> Because personally I do not see what could be done.
> 
> All the best,
> simon
> 




Information forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.

Message received at 47630 <at> debbugs.gnu.org:


Received: (at 47630) by debbugs.gnu.org; 14 Sep 2021 12:47:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 08:47:03 2021
Received: from localhost ([127.0.0.1]:47888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ7q2-0007oo-Gk
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 08:47:02 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:46971)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mQ7pv-0007eJ-Pk
 for 47630 <at> debbugs.gnu.org; Tue, 14 Sep 2021 08:46:56 -0400
Received: by mail-wm1-f47.google.com with SMTP id
 d207-20020a1c1dd8000000b00307e2d1ec1aso2438878wmd.5
 for <47630 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 05:46:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=xcRQOTB6ip3SM9jy+HX7xoM/TLZRVeu12+hkfhtBstQ=;
 b=m41gNiUobaFASGIvTvVNYAsbdd9Hc9GdcMxk09WC42eeVIZg9vY/G13Txmc+1Jmxhw
 aGX0NKg5iUGssxmayFmGSLU5KimSm1gNlifiQV2a2mBmqrGkgB1bJrZxIUz3tzqEEjgY
 0aeyEHQBSPD1h0rL0Q5kPCp0MNnWZqhOJU50M6v24l/jitYipEjfyPe/gsiTJ6LbpGNG
 dMvnhNC2QUgBYfrVcNZWk4HB96jrK4rOo90KewzcMDSo2pGGADYDedwdnqCw4AAGcXVp
 5KgSfkLjAlqJAGlnzirGNnuHQch9oaAI3jrqIUfSTH0mUXjoWAeeWKoBaSahvAuZlMNG
 jHIA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=xcRQOTB6ip3SM9jy+HX7xoM/TLZRVeu12+hkfhtBstQ=;
 b=onAStSpFwoVfDDknGc4IxLJ3QvIVuRaUfDoIa9zfDrrEWQtwBbOVzxwQ59m4RGFnUz
 jeLZg5f5lb4OacdbE63ln/weubWHY1Lo2u7X9gM7Gvlx1If/2eN66y5SUPh+QuqAlXqR
 8OrNMQGJSi0Tw1L3tAiehkfo/pS1IJjNo684R+HNqoMkCRxDW/SioCM1IDR5aHmsOSr8
 lHaYec5tlP7F7k6zoL3bXHQTYZhwvpTPCzJpwu++lsHJ24o4f9L8U5wUF4pYlB4UX7nc
 Uw1QwoXNQ5NryyUVStBklc6BpxZRri+Sc+c3EOKnR3j6Yc/SfOsxLhEJRWPpd1u4LfeL
 E4cg==
X-Gm-Message-State: AOAM532iwfu1xO0EJK6Lw7maFZNNAXxbW9h6MnkghWBQGK+r1B+rnhFI
 j3N35cj8xTJF18mLIu9Av5oCJ5SM4qg9Hg==
X-Google-Smtp-Source: ABdhPJwuTk59X6X33jCu41yHKpEbzdYLLYt5uEnKwIwLK3tQZ/wPjR+9dP3xXS/NVoYj6R8Vk2DDwQ==
X-Received: by 2002:a1c:c913:: with SMTP id f19mr2012770wmb.86.1631623610213; 
 Tue, 14 Sep 2021 05:46:50 -0700 (PDT)
Received: from lili (roam-nat-fw-prg-194-254-61-42.net.univ-paris-diderot.fr.
 [194.254.61.42])
 by smtp.gmail.com with ESMTPSA id 129sm1059545wmz.26.2021.09.14.05.46.49
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 14 Sep 2021 05:46:49 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47630: Improve guix manual installation docs
References: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
 <87y2aoll1r.fsf@HIDDEN>
 <defe8615-0ea0-2b09-a1b3-d11593d4f315@HIDDEN>
 <865yw3n4lv.fsf@HIDDEN>
Date: Tue, 14 Sep 2021 12:35:04 +0200
In-Reply-To: <865yw3n4lv.fsf@HIDDEN> (zimoun's message of "Tue, 17 Aug 2021
 23:28:12 +0200")
Message-ID: <865yv3v413.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47630
Cc: 47630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 17 Aug 2021 at 23:28, zimoun <zimon.toutoune@HIDDEN> wrote:
> On Thu, 15 Jul 2021 at 12:56, bo0od <bo0od@HIDDEN> wrote:
>>> Could you propose a concrete wording solving
>>> the issues you see
>>
>> Not really because english is not my mother tongue so there going to be errors
>> in grammars, choosing of words..etc so better to be written by someone who has
>> better english than me.
>>
>> But for the commands to go on step by step i can give that with little text
>> and any webadmin can pick it up and arrange it accordingly.
>>
>> If guix documentation built on wikimedia it would be much easier because i can
>> register and upload my changes and can be reviewed and updated, But using
>> email for this is not the best way to achieve it but what to do..
>
> Maybe you could provide what you find missing and where in the manual,
> with little text.  It should be a good start for pointing what and how
> to improve.

I plan to close this report if there is no concrete patch attached.
Because personally I do not see what could be done.

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.

Message received at 47630 <at> debbugs.gnu.org:


Received: (at 47630) by debbugs.gnu.org; 17 Aug 2021 21:46:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 17 17:46:51 2021
Received: from localhost ([127.0.0.1]:54286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mG6v1-0003M2-W9
	for submit <at> debbugs.gnu.org; Tue, 17 Aug 2021 17:46:51 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:55046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mG6ut-0003Kt-KI
 for 47630 <at> debbugs.gnu.org; Tue, 17 Aug 2021 17:46:43 -0400
Received: by mail-wm1-f41.google.com with SMTP id g138so231157wmg.4
 for <47630 <at> debbugs.gnu.org>; Tue, 17 Aug 2021 14:46:39 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=X9BofaSirEhgWx2y1fK+yV3phHcnnBUikVMzvuAhHy0=;
 b=gtibiJwCaBJZwk4JUX3qxqPzJS8N4/VlgMac/Qq2XfeVxetujmv5Cb+Hg5H6a/pPdz
 BReDTdvdDI/+UJD+Xa1wtG5GcfyPdErnvR13FW1ZJBjLrrUhxDXLP2GDhWz/IPfu88y5
 L0X/Z4GFaG9oxi6u1U1595BJydhb5wKgdWH87LlydNM5yxc3TNyg4Np9HsU0oOHp10JJ
 4CbBbSzzbWpRoK5HDZCAxv4Tluf37LpzOP0ykAckU2stnINkWSwexqSKeJQPlBDkgnaF
 8dJtnyOsZ+4s4szsETR5JmrNBpZCDhT5lTLsS83ngtC+npCvorkckN1efcAdDDFA6YLI
 kSGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=X9BofaSirEhgWx2y1fK+yV3phHcnnBUikVMzvuAhHy0=;
 b=MvxOb9mwgK+dVOmfGsP04ryHt/gCaB2Q82+SQ+Bbe+/B1J6OaDdi/vgNXFm9qM95sW
 7EsKwzDQZSsa1f/HFgylwy5NNkFgbVWaraERyS7L9nbT+MWxOJHTv6C2gVb/+5gQCmgm
 SIq9jVLw+vENwxBI2un70EL9SpjmZ0rG/uOQ8Tno3m4w+ZkN8KCstgrwel5ONyl3xs14
 t+nYodAvei1G+rjBINK7+SMWbT45BYlEbfwU1wEyTV5/1uBLegvhVsginoJ6+GHFu6Ld
 zDTc/Q9Gpkai606XBi8vtZLAFvw2Or9mbDiStD5PQTbPUs9UMk5VvEoYP7Nl922rzd/V
 1Kog==
X-Gm-Message-State: AOAM533MvyA9Emeohb5jfEplZbJ2mqQI+HlniIx1op8NS5ajBN1s4ht2
 /qPmb1xEXKxtCbaHWkaBH2LZ0p4oyiV8jw==
X-Google-Smtp-Source: ABdhPJx2g1QXxl12e9SAMYMq9kDf8yescBMju9agYpzZpSgQaRnBwQTobnPTUzE9kjjYPhIBDLsxPw==
X-Received: by 2002:a05:600c:4145:: with SMTP id
 h5mr4271070wmm.7.1629236793975; 
 Tue, 17 Aug 2021 14:46:33 -0700 (PDT)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id y192sm3211869wmy.1.2021.08.17.14.46.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Aug 2021 14:46:33 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47630: Improve guix manual installation docs
References: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
 <87y2aoll1r.fsf@HIDDEN>
 <defe8615-0ea0-2b09-a1b3-d11593d4f315@HIDDEN>
Date: Tue, 17 Aug 2021 23:28:12 +0200
In-Reply-To: <defe8615-0ea0-2b09-a1b3-d11593d4f315@HIDDEN>
 (bo0od@HIDDEN's message of "Thu, 15 Jul 2021 12:56:17 +0000")
Message-ID: <865yw3n4lv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47630
Cc: 47630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Thu, 15 Jul 2021 at 12:56, bo0od <bo0od@HIDDEN> wrote:
>> Could you propose a concrete wording solving
>> the issues you see
>
> Not really because english is not my mother tongue so there going to be errors
> in grammars, choosing of words..etc so better to be written by someone who has
> better english than me.
>
> But for the commands to go on step by step i can give that with little text
> and any webadmin can pick it up and arrange it accordingly.
>
> If guix documentation built on wikimedia it would be much easier because i can
> register and upload my changes and can be reviewed and updated, But using
> email for this is not the best way to achieve it but what to do..

Maybe you could provide what you find missing and where in the manual,
with little text.  It should be a good start for pointing what and how
to improve.


All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.

Message received at 47630 <at> debbugs.gnu.org:


Received: (at 47630) by debbugs.gnu.org; 15 Jul 2021 12:56:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 15 08:56:33 2021
Received: from localhost ([127.0.0.1]:47038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m40un-0006x1-Jv
	for submit <at> debbugs.gnu.org; Thu, 15 Jul 2021 08:56:33 -0400
Received: from mx1.riseup.net ([198.252.153.129]:34068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1m40uj-0006wd-Nj
 for 47630 <at> debbugs.gnu.org; Thu, 15 Jul 2021 08:56:32 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4GQZBH69SZzDwfG;
 Thu, 15 Jul 2021 05:56:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1626353783; bh=fZQIn8whIsrM+uiT+TFvmZlEj/kwe+TDpV9ZyFbVFrg=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=J0BFnoz6JOCwN+5tRkmDSDZXwSEOsoyLn21Uz5ELGODK+ecbxRWt7xJrV+T5RcsUa
 RyfRp/+4EmcSKdfC5ZOvpOnpKPtiTF2GqmaLm/hhpMyGszUbCq9/icKUV041W7GvFa
 IosryLcbXHRaV+qN3SphnE1bD1yPX8EAuj6lZ8Vk=
X-Riseup-User-ID: 7AAC3ADBCE06B6E3E233DA376E70F347266CF2BEC84CA33AE4EEDBEBD8F487AF
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4GQZBG3JkYz5vYk;
 Thu, 15 Jul 2021 05:56:22 -0700 (PDT)
Subject: Re: bug#47630: Improve guix manual installation docs
To: zimoun <zimon.toutoune@HIDDEN>
References: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
 <87y2aoll1r.fsf@HIDDEN>
From: bo0od <bo0od@HIDDEN>
Message-ID: <defe8615-0ea0-2b09-a1b3-d11593d4f315@HIDDEN>
Date: Thu, 15 Jul 2021 12:56:17 +0000
MIME-Version: 1.0
In-Reply-To: <87y2aoll1r.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47630
Cc: 47630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Could you propose a concrete wording solving
 > the issues you see

Not really because english is not my mother tongue so there going to be 
errors in grammars, choosing of words..etc so better to be written by 
someone who has better english than me.

But for the commands to go on step by step i can give that with little 
text and any webadmin can pick it up and arrange it accordingly.

If guix documentation built on wikimedia it would be much easier because 
i can register and upload my changes and can be reviewed and updated, 
But using email for this is not the best way to achieve it but what to do..



zimoun:
> Hi,
> 
> On Wed, 07 Apr 2021 at 04:55, bo0od <bo0od@HIDDEN> wrote:
> 
>> Checking here:
>>
>> https://guix.gnu.org/manual/en/html_node/Manual-Installation.html
>>
>> This section actually misses alot of commands and its not nice to give only
>> hint commands and leave step by step explanation e.g:
>>
>> https://guix.gnu.org/manual/en/html_node/Keyboard-Layout-and-Networking-and-Partitioning.html
>>
>> "parted /dev/sda set 1 esp on"
>>
>> This command wont work without labeling the partition "parted /dev/sda --
>> mklabel gpt" and so on..
>>
>> This mean user cant copy and paste he need to figure out the errors while hes
>> follow the documentation because it doesn't give to the user the full picture.
>>
>> I suggest to take a look at NixOS docs which goes step by step without jumping
>> any necessary one:
>>
>> https://nixos.org/manual/nixos/stable/index.html#sec-installation-partitioning
>>
>> (Unclear documentation causes unsolvable or ambiguous questions from users and
>> its troublesome to the support team to re-add the missing parts of the docs in
>> their support.(Assuming they figured out where is the issue user is falling
>> in.))
> 
> Thanks for your report.  Could you propose a concrete wording solving
> the issues you see?
> 
> Thanks,
> simon
> 




Information forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.

Message received at 47630 <at> debbugs.gnu.org:


Received: (at 47630) by debbugs.gnu.org; 2 Jul 2021 16:48:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 02 12:48:48 2021
Received: from localhost ([127.0.0.1]:37059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lzMLP-0001aT-Tq
	for submit <at> debbugs.gnu.org; Fri, 02 Jul 2021 12:48:48 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:43878)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1lzMLL-0001Zt-Ga
 for 47630 <at> debbugs.gnu.org; Fri, 02 Jul 2021 12:48:47 -0400
Received: by mail-wm1-f52.google.com with SMTP id
 q18-20020a1ce9120000b02901f259f3a250so6799679wmc.2
 for <47630 <at> debbugs.gnu.org>; Fri, 02 Jul 2021 09:48:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=FGAx6ReVp4tY2wmlsgjBiwRmI7cnDJqTR94EGV4SXmo=;
 b=NOzFX77OMmT24pRN5gIuYag3a+rBH5pI1+Wx5QAhdwYb1Ximr6PZRfyJwxrVfIidOF
 r7mlODHu0IKJX+WQxyw1QJhATeElujBlxHOKCh10Tsx/4eZaB81FQk9v4VSVXhYQwQOQ
 4owkIBqkF4/S9I1dLeCsQVEI/K5ErsjyHRiNb64gjrG+NgKWPOwY7Z5hf5NhBXN3w1SW
 KWHK+nDbY6I5uVpVWwpdrcUc5g5UrLyVySOnmS+EN03eEBKce8B44ljvwaZTTrkKygOM
 Hz8srENaE9oAvlsABZcCp+TLiruB/BIHas4KFct0yPb7npNOfNJ65iH6bmvrDmyK69CF
 mYPg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=FGAx6ReVp4tY2wmlsgjBiwRmI7cnDJqTR94EGV4SXmo=;
 b=XYjZs1glyPqzAy/nfACVO1Sw+PDIie9tATL27jw++r+idW2Y9hJWj9+Sx8BdFrQ0z7
 skihUkRxOEWbV7TeIxj+0NkDdAAJmFJUxkN96pBIvYG/vttG+h57qAEe5Ll/KKF3wV56
 7MB+5BaKYT/nFT4QOdnenGtEZ9iqep1fabxzf21IGa8ODK8bnb5PMOgXR9lARt0qkZHw
 x/XZA65b1NiaJ65eOmNyMifHC4mxOkH9CGYGxiwZ9WcRY9n9FWygPCUTpmBFJUvy/cOz
 ikQl5CvdfE3T5YqKT8cE3NZYZBIPRwFw25Fi/OO4+PfEHt2oYY8jqGFA/3wwgT11KJTA
 CTJA==
X-Gm-Message-State: AOAM531mUYUV/HFN6PSmU9nBdyzgRugo4j8feV8Gkwq1MYy+kZEmBAYI
 VoP9JfRjXIx4hDznxWZ/WcYcJJo99fs=
X-Google-Smtp-Source: ABdhPJw4kNSm7k0Z0lsejANKqfEIYPPTY7fxJNx491UgQYmCF5z2V7/B3//sSWgJcq7uafN+IzRIPQ==
X-Received: by 2002:a7b:cd8d:: with SMTP id y13mr716612wmj.131.1625244517925; 
 Fri, 02 Jul 2021 09:48:37 -0700 (PDT)
Received: from pfiuh02 ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id c9sm3786135wro.5.2021.07.02.09.48.37
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 02 Jul 2021 09:48:37 -0700 (PDT)
From: zimoun <zimon.toutoune@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47630: Improve guix manual installation docs
References: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
Date: Fri, 02 Jul 2021 18:47:44 +0200
In-Reply-To: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
 (bo0od@HIDDEN's message of "Wed, 7 Apr 2021 04:55:25 +0000")
Message-ID: <87y2aoll1r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 47630
Cc: 47630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Wed, 07 Apr 2021 at 04:55, bo0od <bo0od@HIDDEN> wrote:

> Checking here:
>
> https://guix.gnu.org/manual/en/html_node/Manual-Installation.html
>
> This section actually misses alot of commands and its not nice to give only
> hint commands and leave step by step explanation e.g:
>
> https://guix.gnu.org/manual/en/html_node/Keyboard-Layout-and-Networking-and-Partitioning.html
>
> "parted /dev/sda set 1 esp on"
>
> This command wont work without labeling the partition "parted /dev/sda --
> mklabel gpt" and so on..
>
> This mean user cant copy and paste he need to figure out the errors while hes
> follow the documentation because it doesn't give to the user the full picture.
>
> I suggest to take a look at NixOS docs which goes step by step without jumping
> any necessary one:
>
> https://nixos.org/manual/nixos/stable/index.html#sec-installation-partitioning
>
> (Unclear documentation causes unsolvable or ambiguous questions from users and
> its troublesome to the support team to re-add the missing parts of the docs in
> their support.(Assuming they figured out where is the issue user is falling
> in.))

Thanks for your report.  Could you propose a concrete wording solving
the issues you see?

Thanks,
simon




Information forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.

Message received at 47630 <at> debbugs.gnu.org:


Received: (at 47630) by debbugs.gnu.org; 8 Jun 2021 17:49:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 13:48:59 2021
Received: from localhost ([127.0.0.1]:59743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqfqR-0001nS-Kq
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 13:48:59 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:57403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ecbrown@HIDDEN>) id 1lqfqL-0001nD-RP
 for 47630 <at> debbugs.gnu.org; Tue, 08 Jun 2021 13:48:54 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.west.internal (Postfix) with ESMTP id 12D8B19F7;
 Tue,  8 Jun 2021 13:48:44 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute3.internal (MEProxy); Tue, 08 Jun 2021 13:48:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ericcbrown.com;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version:content-type; s=fm2; bh=YN+lpBp0BJ1g7idlzoJ+kZDnwO
 x10dLQwqkUVISjBUs=; b=sP297JF1pEcwEOhVmKmW1nYOkCvcO5Yqz1Re0KKEcH
 hKeIVPvDt094NdXPNXHetox+Niqtvc4CIUkcEPkJbq1vsEx+gnliWRphQqEWSjSC
 DOdY3Z90DfiimSSfImDcA9b+xu8iiL2fYnYFcN2OCFVrwJ9gYd9FJoY9Zg3vbIIY
 GKamGDAsxqw+zjO3/YvHfUs5xiE4ySc+ddVnznZNnAWL3EkJBGTOWntM1lSRK0wR
 mV2oJWQQwAZeouZSblieLkdmlUARc0YcQE1lGbCNmqouYSgEwX5L7jib7ZuS9URB
 kfHlj4VClbNsqzkMdhvmTjdipDn9k6D6F7jIIGAKF0oQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=YN+lpB
 p0BJ1g7idlzoJ+kZDnwOx10dLQwqkUVISjBUs=; b=AlsKuzoyaePBqvxpXqu7xD
 ysBOlieJoov4IZAXfMgFWxqZTc41R3HHKYbGLyzD5Ez64s4Y096TdTqxrRkASfjP
 PwgfP/8ad5lfVMMz8qxETZuM/S0bodwPYDz7wgsrtEM2CvNq+J5tzEr8Df5WdKVi
 hDTD32oKcReP7DC9k6hecDBc8I+IkGykSAsi8Ub9TWxoNWaEeKfZQAKf5nMgCKuj
 gbZHjSVWnbw854YCBbxLQRJHjRVbA+r94NCZUuhqO3J5KCIJ3dauKBax43bkSUZ1
 b7X3yYZRCYDssqrCLOcGYr8yhlKpLbwX/Yn+pq8LiagWPK7NPtw3v4jwbLnaiunA
 ==
X-ME-Sender: <xms:e62_YHP7PQ3eh3Dv6JUNQuMkg8L2GY9IDrs5UGdAnui2YDwfXLQ27g>
 <xme:e62_YB9-RyOOu0xQZv4-hCA35kdIYONi_MNIXvx-nFgek2DOw6K_LaAuqcU3jmV-b
 4Lglfeyd9q4xvw6rg>
X-ME-Received: <xmr:e62_YGTltF7JpD70Q-7Yc5SYTYx3PLIMywR_4bofjsA8PnOahOR2zvKG>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrfedtledguddtvdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufhfffgjkfgfgggtsehttd
 ertddtredtnecuhfhrohhmpefgrhhitgcuuehrohifnhcuoegvtggsrhhofihnsegvrhhi
 tggtsghrohifnhdrtghomheqnecuggftrfgrthhtvghrnhepveefgfeugeejffdvtdeggf
 ektddvkeefudeltefhgefhfefgtdduvdelfeffheeunecuffhomhgrihhnpehgnhhurdho
 rhhgpdhnihigohhsrdhorhhgnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpe
 hmrghilhhfrhhomhepvggtsghrohifnhesvghrihgttggsrhhofihnrdgtohhm
X-ME-Proxy: <xmx:e62_YLvvME6qG1TjpgdEkLGlrc1SUDzRfh7e4wreHvU4pQV7EeyLFQ>
 <xmx:e62_YPfY36gtFQ4UGRxRtjZXR2Vu0vjhuX8BvQj43vIjd4PpRLtI7A>
 <xmx:e62_YH3n17og0AidVAILfpSgx2QfvnF-ACeiQ-iUUlbliVXFvPG1VQ>
 <xmx:e62_YPnKi_uYqHY54wlYP56eU768RamKPRCHuVhqM3ETLp-8ZrdXRg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 8 Jun 2021 13:48:43 -0400 (EDT)
From: Eric Brown <ecbrown@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47630: Improve guix manual installation docs
References: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
Mail-reply-to: Eric Brown <ecbrown@HIDDEN>
Mail-followup-to: Eric Brown <ecbrown@HIDDEN>
Date: Tue, 08 Jun 2021 12:48:42 -0500
In-Reply-To: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
 (bo0od@HIDDEN's message of "Wed, 7 Apr 2021 04:55:25 +0000")
Message-ID: <87wnr4s0w5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47630
Cc: 47630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

bo0od <bo0od@HIDDEN> writes:

> Hi There,
>
> Checking here:
>
> https://guix.gnu.org/manual/en/html_node/Manual-Installation.html
>
> This section actually misses alot of commands and its not nice to give
> only hint commands and leave step by step explanation e.g:
>
> https://guix.gnu.org/manual/en/html_node/Keyboard-Layout-and-Networking-and-Partitioning.html
>
> "parted /dev/sda set 1 esp on"
>
> This command wont work without labeling the partition "parted /dev/sda
> -- mklabel gpt" and so on..
>
> This mean user cant copy and paste he need to figure out the errors
> while hes follow the documentation because it doesn't give to the user 
> the full picture.
>
> I suggest to take a look at NixOS docs which goes step by step without
> jumping any necessary one:
>
> https://nixos.org/manual/nixos/stable/index.html#sec-installation-partitioning
>
> (Unclear documentation causes unsolvable or ambiguous questions from
> users and its troublesome to the support team to re-add the missing 
> parts of the docs in their support.(Assuming they figured out where is
> the issue user is falling in.))
>
> ThX!

If you would have rolled your suggestions into a patch, then your
support team would not have to keep re-implementing it.





Information forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Apr 2021 04:55:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 00:55:37 2021
Received: from localhost ([127.0.0.1]:42810 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lU0E4-000422-V5
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 00:55:37 -0400
Received: from lists.gnu.org ([209.51.188.17]:56286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lU0E3-00041u-EN
 for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 00:55:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37816)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lU0E0-0001DL-Dg
 for bug-guix@HIDDEN; Wed, 07 Apr 2021 00:55:33 -0400
Received: from mx1.riseup.net ([198.252.153.129]:44058)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lU0Dy-0007bO-BU
 for bug-guix@HIDDEN; Wed, 07 Apr 2021 00:55:32 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FFXC502rMzDq7w
 for <bug-guix@HIDDEN>; Tue,  6 Apr 2021 21:55:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1617771329; bh=bwHjXROZkOIJ5eoVeku4ixtRcWizZcorZ4iuxgVYzU4=;
 h=To:From:Subject:Date:From;
 b=Ma41TJZ0ojL+S/JZyukngF+sCYYriMXcAetr3KaiwAg6r6MGD5TMKR7b36Mns5o+t
 kyWOOmBGywdFkU/XWd25T8F2rx/uDptuy+WpaU5RVohQ+bgqwSeoWUEoJ/NWGkRY2P
 NhYyOOFf+yMFGJGGglOyu8xQPeiTwBt4sJkl3sXI=
X-Riseup-User-ID: 09608AC343F1508D45FD30B048D77236F7350174A47710C193DAEC0C5812EE1A
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FFXC41bcSz5vhF
 for <bug-guix@HIDDEN>; Tue,  6 Apr 2021 21:55:27 -0700 (PDT)
To: bug-guix@HIDDEN
From: bo0od <bo0od@HIDDEN>
Subject: Improve guix manual installation docs
Message-ID: <2b1e7af8-40bc-1603-3cdf-e40dcaff9f98@HIDDEN>
Date: Wed, 7 Apr 2021 04:55:25 +0000
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=198.252.153.129; envelope-from=bo0od@HIDDEN;
 helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi There,

Checking here:

https://guix.gnu.org/manual/en/html_node/Manual-Installation.html

This section actually misses alot of commands and its not nice to give 
only hint commands and leave step by step explanation e.g:

https://guix.gnu.org/manual/en/html_node/Keyboard-Layout-and-Networking-and-Partitioning.html

"parted /dev/sda set 1 esp on"

This command wont work without labeling the partition "parted /dev/sda 
-- mklabel gpt" and so on..

This mean user cant copy and paste he need to figure out the errors 
while hes follow the documentation because it doesn't give to the user 
the full picture.

I suggest to take a look at NixOS docs which goes step by step without 
jumping any necessary one:

https://nixos.org/manual/nixos/stable/index.html#sec-installation-partitioning

(Unclear documentation causes unsolvable or ambiguous questions from 
users and its troublesome to the support team to re-add the missing 
parts of the docs in their support.(Assuming they figured out where is 
the issue user is falling in.))

ThX!




Acknowledgement sent to bo0od <bo0od@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#47630; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Sep 2021 12:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.